Time tracking

Upsert Org Time Tracking Setting

Creates or updates the org's per-country override, never looser than the statutory rule.

POSThttps://api.toku.com/hris/upsert-org-time-tracking-setting

Not available to API keys yet. It will need time:write.

curl --request POST \
  --url 'https://api.toku.com/hris/upsert-org-time-tracking-setting' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "countryCode": "ABW",
  "status": "REQUIRED",
  "maxDailyHours": 0,
  "maxWeeklyHours": 0,
  "minDailyRestHours": 0,
  "minWeeklyRestHours": 0,
  "breakThresholdHours": 0,
  "breakDurationMinutes": 0,
  "autopilotEligible": true,
  "shortBreakPay": "PAID",
  "mealBreakPay": "PAID",
  "standardDailyHours": 0,
  "standardWeeklyHours": 0,
  "notes": "string"
}'
200 response
{
  "orgTimeTrackingSettingID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

countryCodestringrequired

Available options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE

statusstring | null

Available options: REQUIRED, RECOMMENDED, NOT_REQUIRED, null

maxDailyHoursnumber | null

Allowed: 0 to 24

maxWeeklyHoursnumber | null

Allowed: 0 to 168

minDailyRestHoursnumber | null

Allowed: 0 to 24

minWeeklyRestHoursnumber | null

Allowed: 0 to 168

breakThresholdHoursnumber | null

Allowed: 0 to 24

breakDurationMinutesinteger | null

Allowed: at least 0

autopilotEligibleboolean | null
shortBreakPaystring | null

Available options: PAID, UNPAID, null

mealBreakPaystring | null

Available options: PAID, UNPAID, null

standardDailyHoursnumber | null

Allowed: 0 to 24

standardWeeklyHoursnumber | null

Allowed: 0 to 168

notesstring | null

Allowed: at most 1000 characters

Response

200Successful response
orgTimeTrackingSettingIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits